var SpineLayer = cc.Layer.extend({
    ctor: function () {
        this._super();

        var size = cc.winSize;
        var dir = 'res/z_test/';
        var spine = zNewSpineAnimationCreate(dir + 'spine/', 'skeleton', this);
        // spine.setPosition(cc.winSize.width / 2, 0);
        spine.setPosition(size.width / 2, size.height / 2);
        spine.setAnimation(0, 'xinbaozha', true);
        spine.setCompleteListener((trackEntry) => {
            var name = trackEntry.animation ? trackEntry.animation.name : '';
            // zLog(name);
        });
    }
});

var SpineScene = cc.Scene.extend({
    ctor: function () {
        this._super();

        var layer = new SpineLayer();
        this.addChild(layer);
    }
});