function getVersionCode() {
    if (cc.sys.os == cc.sys.OS_ANDROID) {
        return jsb.reflection.callStaticMethod("com/duoduo/child/story/thirdparty/cocos/NativeInteraction",
            "getVersionCode", "()I");
    } else {
        return 1000;
    }
}

function zGetAdConfig(layer) {
    // zLog('step 1');
    zGetAdList(function () {
        // zLog('step 4');
        if (AD_ENABLE && ARRY_AD_HOME.length != 0) {
            var offset = isFullScreenDevice() ? 100 : 0;
            layer.ad_view = new AdViewLayer(ARRY_AD_HOME, cc.size((140 + offset) * 750 / 640, cc.winSize.height));
            layer.ad_view.x = -cc.winSize.width / 2;
            layer.addChild(layer.ad_view, 350);
        }
        // this.video.setLock(shouldShowLock());
    }.bind(layer));
}

function zGetAdList(showAd) {
    // zLog('step 2');
    if (!recommandEnable()) {
        cc.log("kag notrecommand");
        AD_ENABLE = false;
        return;
    }
    cc.log("kag ingetAdConfig");
    getAdConfig("http://bb.ergeduoduo.com/baby/game.php?act=sharelist&rid=10020&ver=" + getVersionCode() + "&isar=" + (cc.sys.os == cc.sys.OS_ANDROID ? 1 : 0), function () {
        var ad_value = cc.sys.localStorage.getItem("KEY_AD_LIST");
        cc.log("kag ad_value = " + ad_value);
        if (ad_value) {
            var parse_result = JSON.parse(ad_value);
            AD_ENABLE = parse_result.enable;
            var ad_list = parse_result.list;
            var ad_in_list = parse_result.inads;
            var ad_quit_list = parse_result.quitads;
            var ad_lock_list = parse_result.lockads;
            if (null != ad_list) {
                var AD_HOME_LIST = new Array(ad_list.length);
                parseAdList(AD_HOME_LIST, ad_list);
                cc.log("home in ");
                ARRY_AD_HOME = filterAdInstall(AD_HOME_LIST, 8);
                cc.log("home out ");
                ARRY_AD_WALL = filterAndSortAdList(AD_HOME_LIST, ARRY_AD_HOME);
            }

            if (null != ad_in_list) {
                var AD_IN_LIST = new Array(ad_in_list.length);
                parseAdList(AD_IN_LIST, ad_in_list);
                cc.log("in in ");
                ARRY_AD_IN = filterAdInstall(AD_IN_LIST, 4);
                cc.log("in out ");
                if (IS_WALL_SHOW) {
                    dismissAppWallLayer();
                    return;
                }
            }

            if (null != ad_quit_list) {
                var AD_QUIT_LIST = new Array(ad_quit_list.length);
                parseAdList(AD_QUIT_LIST, ad_quit_list);
                cc.log("quit in ");
                ARRY_AD_QUIT = filterAdInstall(AD_QUIT_LIST, 4);
                cc.log("quit out ");
            }

            if (null != ad_lock_list) {
                var AD_LOCK_LIST = new Array();
                parseAdList(AD_LOCK_LIST, ad_lock_list);
                ARRY_AD_LOCK = lockAdNotInstall(AD_LOCK_LIST, 4);
            }
            // zLog('step 3');
            showAd();
        }
    });
}

function zAddKeyboardHomeBackListener(layer) {
    var self = layer;
    cc.eventManager.addListener({
        event: cc.EventListener.KEYBOARD,
        onKeyReleased: function (keyCode, event) {
            if (keyCode == cc.KEY.back) {
                if (IS_WALL_SHOW) {
                    dismissAppWallLayer();
                    return;
                }
                if (self.layer_quit) {
                    self.layer_quit.removeFromParent(true);
                    self.layer_quit = null;
                } else if (self.lockAd) {
                    self.lockAd.removeFromParent(true);
                    self.lockAd = null;
                } else {
                    var ad_item = getQuitAd();
                    if (ad_item) {
                        self.layer_quit = new QuitAdViewLayer(function (action) {
                            switch (action) {
                                case "quit": {
                                    cc.director.end();
                                    break;
                                }
                                case "continue": {
                                    self.layer_quit.removeFromParent(true);
                                    self.layer_quit = null;
                                    break;
                                }
                                default:
                                    break;
                            }
                        }, ad_item);
                    } else {
                        self.layer_quit = new QuitViewLayer(function (action) {
                            switch (action) {
                                case "quit": {
                                    cc.director.end();
                                    break;
                                }
                                case "continue": {
                                    self.layer_quit.removeFromParent(true);
                                    self.layer_quit = null;
                                    break;
                                }
                                default:
                                    break;
                            }
                        });
                    }
                    self.layer_quit.setScale(750 / 640);
                    self.layer_quit.x = -cc.winSize.width / 2;
                    self.addChild(self.layer_quit, 550);
                }
            } else if (keyCode == cc.KEY.menu) {
            }
        }
    }, layer);
}